Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ProxyTypeHttp

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ProxyType
it.tdlight.jni.TdApi.ProxyTypeHttp

Enclosing class:
  TdApi

public static final class TdApi.ProxyTypeHttp extends TdApi.ProxyType
A HTTP transparent proxy server.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`httpOnly`
Pass true if the proxy supports only HTTP requests and doesn't support transparent TCP connections via HTTP CONNECT method.
`String`
`password`
Password for logging in; may be empty.
`String`
`username`
Username for logging in; may be empty.

## Constructor Summary

Constructors
Constructor
Description
`ProxyTypeHttp()`
A HTTP transparent proxy server.
`ProxyTypeHttp(DataInput input)`
A HTTP transparent proxy server.
`ProxyTypeHttp(String username, String password, boolean httpOnly)`
A HTTP transparent proxy server.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### username

public String username
Username for logging in; may be empty.

### password

public String password
Password for logging in; may be empty.

### httpOnly

public boolean httpOnly
Pass true if the proxy supports only HTTP requests and doesn't support transparent TCP connections via HTTP CONNECT method.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ProxyTypeHttp

public ProxyTypeHttp()
A HTTP transparent proxy server.

### ProxyTypeHttp

public ProxyTypeHttp(String username, String password, boolean httpOnly)
A HTTP transparent proxy server.

Parameters:
  `username` - String Username for logging in; may be empty.
  `password` - String Password for logging in; may be empty.
  `httpOnly` - boolean Pass true if the proxy supports only HTTP requests and doesn't support transparent TCP connections via HTTP CONNECT method.

### ProxyTypeHttp

public ProxyTypeHttp(DataInput input) throws IOException
A HTTP transparent proxy server.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`